## janus 0.11.8

=== debian/changelog ===
janus (0.11.8-3) unstable; urgency=medium

  * simple re-release, for rebuilding on auto-builders

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 22 Feb 2022 21:11:26 +0100

janus (0.11.8-2) unstable; urgency=medium

  * use system-shared JavaScript libraries
    toastr blueimp-md5 boostrap-slider:
    and release janus-demos to main (not contrib):
    + update patch 2003
    + unfuzz patch 2007
    + have janus-demos depend on libjs-toastr libjs-blueimp-md5,
      and suggest libjs-bootstrap-slider
      (not yet in Debian, but used only in one little-used demo page)
  * fix clean generated ocumentation files
  * fix tighten dependency on libjs-webrtc-adapter

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Feb 2022 14:40:54 +0100

janus (0.11.8-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches
  * tidy rules: list implicit rules last
  * update generating documentation;
    build-depend on cmark-gfm (not pandoc)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Feb 2022 16:42:21 +0100

janus (0.11.7-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update git-buildpackage config:
    + use DEP14 branch names debian/latest upstream/latest
      (not debian/master upstream)
    + add usage comment
  * unfuzz patch 2003
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Jan 2022 22:05:52 +0100

janus (0.11.6-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tighten lintian overrides
  * drop patch cherry-picked upstream now applied
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Dec 2021 19:17:45 +0100

janus (0.11.5-4) unstable; urgency=high

  * add patch cherry-picked upstream
    to fix potential Cross-site Scripting (XSS) exploits in demos;
    closes: bug#1000831, thanks to Salvatore Bonaccorso;
    CVE-2021-4020
  * set urgency=high due to security fix

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Nov 2021 11:16:19 +0100

janus (0.11.5-3) unstable; urgency=medium

  * call executable terser (not uglifyjs.terser),
    and build-depend on terser (not uglifyjs.terser)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Nov 2021 20:21:52 +0100

janus (0.11.5-2) unstable; urgency=medium

  * stop recommend recent libusrsctp1
    (needed only for Debian oldstable (buster)
    and complicates transition libusrsctp2);
    closes: bug#998658, thanks to Steve Langasek
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Nov 2021 21:41:55 +0100

janus (0.11.5-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 22 Oct 2021 18:16:07 +0200

janus (0.11.4-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.6.0
  * drop patch 1004: cross-compilation supported upstream now
  * unfuzz patches
  * improve source helper script copyright-check

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Sep 2021 20:43:24 +0200

janus (0.11.3-1~exp1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * copyright info:
    + modernize and tighten source script copyright-check
    + update coverage
  * unfuzz patches
  * update TODO to mention bootstrap-slider not in Debian

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Jun 2021 11:13:56 +0200
