=== debian/control ===
Source: janus
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
 Victor Seva <vseva@debian.org>,
 Saúl Ibarra Corretgé <saul@ag-projects.com>,
Build-Depends:
 cmark-gfm <!nodoc>,
 debhelper-compat (= 13),
 gengetopt,
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libconfig-dev,
 libcurl4-openssl-dev,
 libglib2.0-dev,
 libjansson-dev,
 liblua5.3-dev,
 libmicrohttpd-dev (>= 0.9.59),
 libnanomsg-dev,
 libnice-dev,
 libogg-dev,
 libopus-dev,
 libpaho-mqtt-dev,
 libpcap0.8-dev,
 librabbitmq-dev,
 libsofia-sip-ua-dev,
 libsrtp2-dev (>= 2.3.0-4~),
 libssl-dev,
 libsystemd-dev,
 libusrsctp-dev,
 libwebsockets-dev,
 pkg-config,
 rename,
Build-Depends-Indep:
 brotli,
 doxygen,
 graphviz,
 node-rollup-plugin-replace,
 pigz,
 rollup,
 terser,
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/pkg-voip-team/janus.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/janus
Homepage: https://janus.conf.meetecho.com
Rules-Requires-Root: no

Package: janus
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libnice10 (>= 0.1.16),
 lua-ansicolors,
 lua-json,
 ssl-cert,
Suggests:
 janus-doc,
 janus-tools,
Description: general purpose WebRTC server/gateway
 janus is a general purpose WebRTC server/gateway
 with a minimal footprint.
 .
 As such, it doesn't provide any functionality per se
 other than implementing the means to set up
 a WebRTC media communication with a browser or application,
 exchanging JSON messages with it over different transports,
 and relaying RTP/RTCP and messages between clients
 and the server-side application logic they're attached to.
 Any specific feature/application is provided
 by server side plugins,
 that browsers can then contact via the server
 to take advantage of the functionality they provide.
 .
 Example of such plugins can be implementations of applications
 like echo tests, conference bridges, media recorders,
 SIP gateways and the like.

Package: janus-dev
Section: devel
Architecture: any
Depends:
 janus (=${binary:Version}),
 libcurl4-openssl-dev,
 libglib2.0-dev,
 libjansson-dev,
 libnice-dev,
 libsrtp2-dev,
 ${misc:Depends},
Suggests:
 janus-doc,
Description: general purpose WebRTC server/gateway - development files
 janus is a general purpose WebRTC server/gateway
 with a minimal footprint.
 .
 This package contains headers for plugin development.

Package: janus-tools
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 gstreamer1.0-plugins-good,
 gstreamer1.0-tools,
 gstreamer1.0-x,
Enhances:
 janus,
Description: general purpose WebRTC server/gateway - helper tools
 janus is a general purpose WebRTC server/gateway
 with a minimal footprint.
 .
 This package contains the following helper tools:
  * janus-pp-rec - extract media file from a Janus recording
  * pcap2mjr - convert a pcap dump to a Janus recording
  * mjr2pcap - convert a Janus recording to pcap format
 .
 Packages gstreamer1.0-plugins-good gstreamer1.0-x are needed
 for included example streaming script.

Package: janus-doc
Section: doc
Architecture: all
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
Description: general purpose WebRTC server/gateway - documentation
 janus is a general purpose WebRTC server/gateway
 with a minimal footprint.
 .
 This package contains the html documentation for Janus.

Package: janus-demos
Section: comm
Architecture: all
Depends:
 fonts-font-awesome,
 libjs-blueimp-md5,
 libjs-bootbox,
 libjs-bootstrap,
 libjs-bootswatch,
 libjs-janus,
 libjs-jquery,
 libjs-jquery-blockui,
 libjs-spin.js,
 libjs-toastr,
 libjs-webrtc-adapter (>= 8),
 ${misc:Depends},
Suggests:
 janus,
 janus-tools,
 libjs-bootstrap-slider,
Description: general purpose WebRTC server/gateway - demos
 janus is a general purpose WebRTC server/gateway
 with a minimal footprint.
 .
 This package contains a set of demo html applications using Janus.
 .
 The demos require online referenced Javascript code.
 .
 GStreamer example script in package janus-tools is needed
 to feed one of the streams in Streaming demo.

Package: libjs-janus
Section: javascript
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 javascript-common,
Suggests:
 janus,
Description: general purpose WebRTC server/gateway - JavaScript library
 janus is a general purpose WebRTC server/gateway
 with a minimal footprint.
 .
 This package contains a JavaScript library
 to interact with Janus from a web browser.
