## janus 1.0.1

=== debian/changelog ===
janus (1.0.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * use source git branch debian/bullseye-backports
  * call executable uglifyjs.terser (not terser);
    build-depend on uglifyjs.terser (not terser)
  * drop autopkgtest: required package python3-aiortc unavailable

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 02 May 2022 08:19:49 +0200

janus (1.0.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * fix misspelling in changelog: rollup
  * stop build-depend on gengetopt
  * update and unfuzz patches
  * add patch 2008 to avoid referencing virtualbg demo;
    avoid installing virtualbg demo
  * update source helper copyright-check to handle webp

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Apr 2022 16:24:42 +0200

janus (1.0.0-4) unstable; urgency=medium

  * fix update patch to JavaScript module

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 Mar 2022 14:21:14 +0100

janus (1.0.0-3) experimental; urgency=medium

  * fix build binary package libjs-janus-gateway
    (not libjs-janus),
    to match NPM project name

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 Mar 2022 12:18:56 +0100

janus (1.0.0-2) unstable; urgency=medium

  * drop obsolete doxygen-related lintian override
  * fail build if rollup emit warnings
  * update patch 2003
    to fix CSS for documentation placeholder page
  * add patch 2002
    to separate documentation from demos;
    unfuzz patch 2006
  * add patch 1004 to have Doxygen use SVG files

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 Mar 2022 12:07:51 +0100

janus (1.0.0-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + add Upstream-Contact
    + drop superfluous secondary source URI
    + update paths
  * update and unfuzz patches
  * include multistream example with package janus-tools
  * annotate packages janus-doc libjs-janus as Multi-Arch: foreign

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 04 Mar 2022 22:40:41 +0100

janus (0.12.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches
  * build-depend on duktape-dev

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 04 Mar 2022 21:28:40 +0100
