=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends:
  cmark-gfm <!nodoc>,
  debhelper-compat (= 13),
- gengetopt,
+ duktape-dev,
  libavcodec-dev,
  libavformat-dev,
  libavutil-dev,
@@ -41,7 +41,7 @@
  node-rollup-plugin-replace,
  pigz,
  rollup,
- terser,
+ uglifyjs.terser,
 Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/janus.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/janus
@@ -127,6 +127,7 @@
 Package: janus-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  libjs-bootstrap,
  libjs-jquery,
@@ -146,7 +147,7 @@
  libjs-bootbox,
  libjs-bootstrap,
  libjs-bootswatch,
- libjs-janus,
+ libjs-janus-gateway,
  libjs-jquery,
  libjs-jquery-blockui,
  libjs-spin.js,
@@ -168,9 +169,10 @@
  GStreamer example script in package janus-tools is needed
  to feed one of the streams in Streaming demo.
 
-Package: libjs-janus
+Package: libjs-janus-gateway
 Section: javascript
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
 Recommends:
