=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 DOCS = README.html README.txt
 endif
+
+ROLLUP = rollup --failAfterWarnings
 
 # avoid installing libtool *.la files
 export DH_OPTIONS = --exclude=.la
@@ -28,17 +30,19 @@
 override_dh_auto_build-indep: debian/js/janus.min.js.gz $(DOCS)
 	dh_auto_build -- docs
 
+# TODO: stop exclude virtualbg demo when needed code is in Debian
 execute_before_dh_install:
 	rename 's/\.sample$$//' debian/tmp/etc/janus/*.sample
 	rm -f debian/tmp/usr/share/janus/streams/test_*
 	rm -f debian/tmp/usr/share/janus/demos/janus.js
+	rm -f debian/tmp/usr/share/janus/demos/virtualbg.*
 
 override_dh_installdocs:
 	dh_installdocs --all -- $(DOCS)
 
 # use staging dir for browser library (easier to install and clean)
 debian/js/janus.js:
-	cd npm && rollup --config rollup.config.js \
+	cd npm && $(ROLLUP) --config rollup.config.js \
 		--sourcemap inline \
 		--output.format umd \
 		--output.file ../$@
@@ -46,7 +50,7 @@
 # optimize JavaScript for browser use
 # * include source-map
 %.min.js: %.js
-	terser --compress --mangle \
+	uglifyjs.terser --compress --mangle \
 		--source-map "base='$(abspath $(dir $@))',url='$(notdir $@).map'" \
 		--output $@ \
 		-- $<
