## janus 1.0.4

=== debian/changelog ===
janus (1.0.4-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update/unfuzz patches
  * update to reference new file settings.js for janus-demos

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 16 Aug 2022 20:40:02 +0200

janus (1.0.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches
  * declare compliance with Debian Policy 4.6.1

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 16 Aug 2022 19:24:14 +0200
