=== debian/control ===
--- 
+++ 
@@ -41,8 +41,8 @@
  node-rollup-plugin-replace,
  pigz,
  rollup,
- uglifyjs.terser,
-Standards-Version: 4.6.0
+ terser,
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/janus.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/janus
 Homepage: https://janus.conf.meetecho.com
