## janus 1.1.2

=== test/requirements.txt ===
websockets==8.1
aiortc==0.9.26
