=== debian/changelog ===
janus (1.1.2-3) unstable; urgency=medium

  * Team upload.

  [ Sudip Mukherjee ]
  * Start Janus only if it is not already running. (Closes: #1102692)
  * Remove skip-not-installable from autopkgtest.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 22 Jul 2025 23:43:18 +0200

janus (1.1.2-2) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtest:
    - Take fix from upstream to make test case work with python3.11.
    - Fix test script to use system janus.
    - Call test script to run janus daemon which is required by the functional
      test to talk to.
    (Closes: #1102601)

 -- Guillem Jover <gjover@sipwise.com>  Fri, 11 Apr 2025 20:49:12 +0200

janus (1.1.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Sudip Mukherjee ]
  * d/t/control: skip autopkgtest if uninstallable.
    - python3-aiortc is not available in Plucky.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Feb 2025 17:36:42 +0100

janus (1.1.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Zixing Liu <zixing.liu@canonical.com> ]
  * d/p/2010_fix_ffmpeg_7.patch: fix FTBFS with FFmpeg 7
    (Closes: #1072424)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Feb 2025 11:53:59 +0100

janus (1.1.2-1) unstable; urgency=medium

  [ upstream ]
  * new release
    + use parentheses to ensure compilation;
      closes: bug#1027656, thanks to Lucas Nussbaum

  [ Jonas Smedegaard ]
  * fix add bug closure and credit to previous changelog entry
  * fix source helper tool copyright-check:
    + work with Path::Tiny 0.144
    + avoid insecure shell expansion
  * declare compliance with Debian Policy 4.6.2
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 Jan 2023 09:09:02 +0100

janus (1.1.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches
  * add patch 2009
    to adapt rollup config syntax as needed for Rollup v3;
    closes: bug#1023328, thanks to Yadd

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 08 Dec 2022 11:08:48 +0100

janus (1.1.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 06 Oct 2022 18:42:05 +0200
