=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
  pigz,
  rollup,
  terser,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/janus.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/janus
 Homepage: https://janus.conf.meetecho.com
