=== debian/rules ===
--- 
+++ 
@@ -50,7 +50,7 @@
 # optimize JavaScript for browser use
 # * include source-map
 %.min.js: %.js
-	uglifyjs.terser --compress --mangle \
+	terser --compress --mangle \
 		--source-map "base='$(abspath $(dir $@))',url='$(notdir $@).map'" \
 		--output $@ \
 		-- $<
