=== debian/tests/control ===
Test-Command:
 test/test_aiortc.sh
Restrictions: allow-stderr
Depends:
 janus,
 procps,
 python3-aiortc,
 python3-pytest-asyncio,
 python3-websockets,
